Skip to content
SynupAPI
Get an API key
GETapi.synup.com/api/v4/subscriptions

List Active Subscriptions

This API retrieves a list of all active subscriptions or tenures associated with your account

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Request

Request
curl -X GET 'https://api.synup.com/api/v4/subscriptions' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Responses

StatusDescription
200Successful response
Example response
{
  "data": {
    "activeSubscriptions": [
      {
        "name": "Premium plan - Monthly",
        "paymentSubscriptionId": "b8b5075f-35ff-4aaf-9580-44271e0dde34",
        "planId": "premium-1month",
        "tenure": "Monthly"
      },
      {
        "name": "Standard plan - Yearly",
        "paymentSubscriptionId": "c8b5078h-36ff-4aaf-1380-33281a0eeg34",
        "planId": "standard-year",
        "tenure": "Yearly"
      }
    ]
  }
}

Response body

NameTypeRequiredDescription
dataobjectrequired
data.activeSubscriptionsarray of objectrequired
data.activeSubscriptions[].namestringrequiredThe display name of the subscription plan
data.activeSubscriptions[].paymentSubscriptionIdstringrequiredUnique identifier for the subscription
data.activeSubscriptions[].planIdstringrequiredIdentifier for the subscription plan
data.activeSubscriptions[].tenurestringrequiredThe subscription period